<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/blogs_admin/init.jsp" %>

<c:choose>
	<c:when test='<%= GetterUtil.getBoolean(PropsUtil.get("feature.flag.LPS-168174")) %>'>

		<%
		BlogImagesDisplayContext blogImagesDisplayContext = new BlogImagesDisplayContext(liferayPortletRequest);
		%>

		<liferay-document-library:repository-browser
			actions="delete"
			folderId="<%= blogImagesDisplayContext.getFolderId() %>"
			repositoryId="<%= blogImagesDisplayContext.getRepositoryId() %>"
		/>
	</c:when>
	<c:otherwise>

		<%
		int delta = ParamUtil.getInteger(request, SearchContainer.DEFAULT_DELTA_PARAM);
		String orderByCol = ParamUtil.getString(request, "orderByCol", "title");
		String orderByType = ParamUtil.getString(request, "orderByType", "asc");

		PortletURL portletURL = PortletURLBuilder.createRenderURL(
			renderResponse
		).setMVCRenderCommandName(
			"/blogs/view"
		).setNavigation(
			"images"
		).buildPortletURL();

		if (delta > 0) {
			portletURL.setParameter("delta", String.valueOf(delta));
		}

		portletURL.setParameter("orderBycol", orderByCol);
		portletURL.setParameter("orderByType", orderByType);

		request.setAttribute("view_images.jsp-portletURL", portletURL);

		SearchContainer<FileEntry> blogImagesSearchContainer = new SearchContainer(renderRequest, PortletURLUtil.clone(portletURL, liferayPortletResponse), null, "no-images-were-found");

		blogImagesSearchContainer.setOrderByComparator(DLUtil.getRepositoryModelOrderByComparator(orderByCol, orderByType));

		blogImagesSearchContainer.setRowChecker(new EmptyOnClickRowChecker(renderResponse));

		BlogImagesDisplayContext blogImagesDisplayContext = new BlogImagesDisplayContext(liferayPortletRequest);

		blogImagesDisplayContext.populateResults(blogImagesSearchContainer);

		BlogImagesManagementToolbarDisplayContext blogImagesManagementToolbarDisplayContext = new BlogImagesManagementToolbarDisplayContext(request, liferayPortletRequest, liferayPortletResponse, blogImagesSearchContainer);

		String displayStyle = blogImagesManagementToolbarDisplayContext.getDisplayStyle();
		%>

		<clay:management-toolbar
			actionDropdownItems="<%= blogImagesManagementToolbarDisplayContext.getActionDropdownItems() %>"
			clearResultsURL="<%= blogImagesManagementToolbarDisplayContext.getSearchActionURL() %>"
			disabled="<%= blogImagesSearchContainer.getTotal() <= 0 %>"
			filterDropdownItems="<%= blogImagesManagementToolbarDisplayContext.getFilterDropdownItems() %>"
			itemsTotal="<%= blogImagesSearchContainer.getTotal() %>"
			managementToolbarDisplayContext="<%= blogImagesManagementToolbarDisplayContext %>"
			propsTransformer="blogs_admin/js/BlogImagesManagementToolbarPropsTransformer"
			searchActionURL="<%= blogImagesManagementToolbarDisplayContext.getSearchActionURL() %>"
			searchContainerId="images"
			searchFormName="searchFm"
			showCreationMenu="<%= false %>"
			showInfoButton="<%= false %>"
			sortingOrder="<%= blogImagesManagementToolbarDisplayContext.getOrderByType() %>"
			sortingURL="<%= blogImagesManagementToolbarDisplayContext.getSortingURL() %>"
			viewTypeItems="<%= blogImagesManagementToolbarDisplayContext.getViewTypes() %>"
		/>

		<clay:container-fluid>
			<portlet:actionURL name="/blogs/edit_image" var="editImageURL" />

			<aui:form action="<%= editImageURL %>" name="fm">
				<aui:input name="<%= Constants.CMD %>" type="hidden" />
				<aui:input name="redirect" type="hidden" value="<%= portletURL.toString() %>" />
				<aui:input name="deleteFileEntryIds" type="hidden" />

				<liferay-ui:search-container
					id="images"
					searchContainer="<%= blogImagesSearchContainer %>"
				>
					<liferay-ui:search-container-row
						className="com.liferay.portal.kernel.repository.model.FileEntry"
						keyProperty="fileEntryId"
						modelVar="fileEntry"
					>
						<liferay-portlet:renderURL varImpl="rowURL">
							<portlet:param name="mvcRenderCommandName" value="/blogs/edit_image" />
							<portlet:param name="fileEntryId" value="<%= String.valueOf(fileEntry.getFileEntryId()) %>" />
						</liferay-portlet:renderURL>

						<%
						row.setData(
							HashMapBuilder.<String, Object>put(
								"actions", StringUtil.merge(blogImagesManagementToolbarDisplayContext.getAvailableActions(fileEntry))
							).build());
						%>

						<%@ include file="/blogs_admin/image_search_columns.jspf" %>
					</liferay-ui:search-container-row>

					<liferay-ui:search-iterator
						displayStyle="<%= displayStyle %>"
						markupView="lexicon"
					/>
				</liferay-ui:search-container>
			</aui:form>
		</clay:container-fluid>
	</c:otherwise>
</c:choose>